\documentclass{standalone}

\input{../../macros/macros}

\usepackage{../../../msc}
\begin{document}

\begin{msc}[msc keyword=, draw frame = none, instance distance=3cm]{}
\declinst{V}{$k$}{V}
\declinst{P}{$k$}{P}
\action*{nonce $\nonceP$}{P}
\nextlevel[2]
\mess{$\nonceP$}{P}{V}
\nextlevel
\action*{nonce $\nonceV$}{V}
\nextlevel[3]
\mess{$\pair{MAC_{k}(\nonceP, \nonceV)}{\nonceV}$}{V}{P}
\nextlevel
\condition*{$\claim{\prover}{\auth, \verifier}$}{P}
\action*{nonce $\challenge$}{V}
\nextlevel[2]
\mess{$\challenge$}{V}{P}
\measure{max $\Delta$}{V}{V}[2]
\nextlevel[2]
\mess{$r = h(k, \nonceP, \nonceV, \challenge)$}{P}{V}
\nextlevel[1]
\condition*{$\claim{\verifier}{\erasure, \prover, r}$}{V}
%\nextlevel[2]
%\condition*{$\claim{\verifier}{\dbsec, \prover, \send{\verifier}{c}, 
%\recv{\verifier}{r}
%}$}{V}
\nextlevel
\end{msc}

\end{document}